Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.globes
Class EarthElevationModel

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.BasicElevationModel
                  gov.nasa.worldwind.globes.EarthElevationModel

All Implemented Interfaces:
  AVList, ElevationModel, WWObject, PropertyChangeListener, EventListener

    public class EarthElevationModel

extends BasicElevationModel

Nested Class Summary

Nested classes/interfaces inherited from interface gov.nasa.worldwind.ElevationModel
`ElevationModel.Elevations`

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`EarthElevationModel()`

Method Summary

Methods inherited from class gov.nasa.worldwind.BasicElevationModel
`getElevation, getElevations, getLevels, getMaximumElevation, getMinimumElevation, getNumExpectedValuesPerTile, getTargetResolution, isEnabled, setEnabled, setNumExpectedValuesPerTile`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### EarthElevationModel

    public EarthElevationModel()

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD